Install the Metasploit Framework on Ubuntu Linux


Feb 01 2013

Install the Metasploit Framework on Ubuntu Linux

首页 » 渗透测试 » Install the Metasploit Framework on Ubuntu Linux   

Dependencies


Install the Ruby dependencies:

 

$ sudo apt-get install ruby libopenssl-ruby libyaml-ruby libdl-ruby libiconv-ruby libreadline-ruby irb ri rubygems

 

Install the Subversion client:

 

$ sudo apt-get install subversion

 

In order to build the native extensions (pcaprub, lorcon2, etc), the following packages need to be installed:

 

$ sudo apt-get install build-essential ruby-dev libpcap-dev

 

Metasploit Framework


Once the dependencies have been installed, download the Unix tarball from the download page and run the following commands:

 

$ tar xf framework-3.X.tar.gz

$ sudo mkdir -p /opt/metasploit3

$ sudo cp -a msf3/ /opt/metasploit3/msf3

$ sudo chown root:root -R /opt/metasploit3/msf3

$ sudo ln -sf /opt/metasploit3/msf3/msf* /usr/local/bin/

 

When you've completed this step, you should have a working installation and be able to run modules, pivot through compromised systems, and use most of the Metasploit Framework's features. The following optional installation steps will give you extra functionality.

 

Database Configuration (optional)


Now that the framework is installed, you'll want to configure a database connection, and enable the Metasploit Framework to connect to it:

 

 

Extensions (optional)


The Metasploit Framework includes a few native Ruby extensions that must be compiled in order to use certain types of modules.

 

To enable raw socket modules:

 

$ sudo apt-get install libpcap-dev

$ sudo bash

# cd /opt/metasploit3/msf3/external/pcaprub/

# ruby extconf.rb

# make && make install

 

To enable WiFi modules:

 

$ sudo bash

# cd  /opt/metasploit3/msf3/external/ruby-lorcon2/

# svn co http://802.11ninja.net/svn/lorcon/trunk lorcon2

# cd lorcon2

# ./configure --prefix=/usr && make && make install

# cd ..

# ruby extconf.rb

# make && make install

 

Updates


The Metasploit Framework is updated daily with the latest exploits, payloads, features, and bug fixes. To update your installation of the Metasploit Framework:

 

$ sudo svn update /opt/metasploit3/msf3/

 

This can also be installed into the root user's crontab:

 

$ sudo crontab -e -u root # enter the line below

1 * * * * /usr/bin/svn update  /opt/metasploit3/msf3/ >> /var/log/msfupdate.log 2>&1

如果您喜欢本博客,欢迎点击图片定订阅到邮箱填写您的邮件地址,订阅我们的精彩内容:

正文部分到此结束

文章标签: metasploit安装

版权声明:若无特殊注明,本文皆为( mOon )原创,转载请保留文章出处。

也许喜欢: «Linux下暴力破解工具Hydra详解 | helen装逼的时代»

你肿么看?

你还可以输入 250/250 个字

 微笑 大笑 拽 大哭 亲亲 流汗 喷血 奸笑 囧 不爽 晕 示爱 害羞 吃惊 惊叹 爱你 吓死了 呵呵

评论信息框

这篇文章还没有收到评论,赶紧来抢沙发吧~